#search-shown {
    display: none;
}

#search {
    position: fixed;
    bottom: 120vh;
    height: 100vh;
    left: 0;
    right: 0;
    transition: 1s bottom ease;
    z-index: 9999;
    background: var(--light-primary-color);
    overflow-x: auto;
}

#search-shown:checked + #search {
    bottom: 0;
}

/* Close button */
#search-close {
    position: absolute;
    top: 65px;
    right: 35px;
    font-size: 14px;
    font-size: 23px;
}

#search-close i {
    transform: rotate(45deg);
}

/* Inner */
#search-inner {
    margin: 160px auto;
    max-width: var(--doc-width);
}

/* Header */
#search-header {
    margin-bottom: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

#search-header h3 {
    margin: 0 30px 30px 30px;
    font-size: 50px;
}

#search-site-buttons {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

#search-site-buttons a {
    margin: 0 10px 30px 10px;
}

/* Field */
#search-field {
    border-radius: 10px;
    background: #fff;
    padding: 0 30px;
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

#search-field i.icon-Search {
    margin-left: 20px;
    flex: 0 0 auto;
    text-stroke: 1px var(--primary-color);
    -webkit-text-stroke: 1px var(--primary-color);
}

#search-field-input {
    flex: 1 1 auto;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    color: inherit;
    font-size: inherit;
    border: 0;
    outline: 0;
    padding: 10px 0;
    line-height: 30px;
    width: 50px;
}

#search-field-results {
    color: var(--secondary-color);
    margin-left: 20px;
}

#search-field-query {
    color: var(--secondary-color);
    margin-bottom: 20px;
}

#search-field-query-string {
    color: var(--primary-color);
}

#search-field-empty {
    margin-left: 15px;
    font-size: 20px;
    display: flex;
    text-decoration: none;
    color: var(--primary-color);
}

#search-field.searched .icon-Search,
#search-field:not(.searched) #search-field-results,
#search-field:not(.searched) #search-field-empty,
#search-field:not(.searched) + #search-field-query {
    display: none;
}

/* Empty */
#search-result-none {
    display: none;
}

#search-result-none.visible {
    display: block;
}

/* Categories */
#search-result-categories {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.search-result-category {
    flex: 0 0 calc(50% - 15px);
}

.search-result-category.hidden {
    display: none;
}

.search-result-category-links {
    margin-bottom: 20px;
}

.search-result-category-links a {
    text-decoration: none;
    color: var(--text-color);
}

.search-result-category-links i {
    color: var(--primary-color);
}

.search-result-category-show-all {
    font-size: 14px;
    line-height: 18px;
    color: var(--secondary-color);
}

.search-result-category-name {
    display: block;
    font-weight: 600;
    margin-bottom: 30px;
}

.search-result-category-links a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid var(--secondary-color);
}

.search-result-category-links a span::after {
    content: none;
}

@media screen and (max-width: 800px) {
    #search-header h3 {
        font-size: 40px;
    }
}
@media screen and (max-width: 600px) {
    .search-result-category {
        flex: 0 0 100%;
    }
    #search-inner {
        padding-left: var(--gap);
        padding-right: var(--gap);
    }
    #search-header h3 {
        font-size: 30px;
    }
}
@media screen and (max-width: 500px) {
    #search-header h3 {
        font-size: 25px;
    }
}
